Skip to main content
`Ctrl`+`K`

# EPSSetInitialSpace

Specify a basis of vectors that constitute the initial space, that is, the subspace from which the solver starts to iterate.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetInitialSpace(EPS eps,PetscInt n,Vec is[])

Collective

## Input Parameters

- eps - the linear eigensolver context

- n - number of vectors

- is - set of basis vectors of the initial space

## Notes

Some solvers such as `EPSKRYLOVSCHUR` start to iterate on a single vector (initial vector). In that case, only `is[0]` is taken into account and the other vectors are ignored. But other solvers such as `EPSSUBSPACE` are able to make use of the whole initial subspace as an initial guess.

These vectors do not persist from one `EPSSolve()` call to the other, so the initial space should be set every time.

The vectors do not need to be mutually orthonormal, since they are explicitly orthonormalized internally.

Common usage of this function is when the user can provide a rough approximation of the wanted eigenspace. Then, convergence may be faster.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetLeftInitialSpace()`, `EPSSetDeflationSpace()`

## Level

intermediate

## Location

src/eps/interface/epssetup.c

## Examples

src/eps/tutorials/ex7.c
src/eps/tutorials/ex34.c
src/eps/tutorials/ex41.c
src/eps/tutorials/ex19.c
src/eps/tutorials/ex5.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages